## symas-gcobol 15.1.0

=== debian/changelog ===
symas-gcobol (15.1.0-1bullseye1) bullseye; urgency=medium

  * 15.1 release

 -- Symas Support <support@symas.com>  Wed, 21 May 2025 12:29:50 +00000
