=== debian/control ===
Source: symas-gcobol
Build-Depends: debhelper (>= 11), symas-buildtools, dpkg-dev (>= 1.17.14), g++-multilib [amd64 i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 s390 s390x sparc sparc64 x32] <!cross>,
  libc6.1-dev (>= 2.23-1~) [alpha ia64] | libc0.3-dev (>= 2.23-1~) [hurd-amd64 hurd-i386] | libc6-dev (>= 2.23-1~), libc6-dev-amd64 [i386 x32], libc6-dev-sparc64 [sparc], libc6-dev-sparc [sparc64], libc6-dev-s390 [s390x], libc6-dev-s390x [s390], libc6-dev-i386 [amd64 x32], libc6-dev-powerpc [ppc64], libc6-dev-ppc64 [powerpc], lib32gcc-s1 [amd64 ppc64 mipsn32 mipsn32el mips64 mips64el mipsn32r6 mipsn32r6el mips64r6 mips64r6el s390x sparc64 x32], libn32gcc-s1 [mips mipsel mips64 mips64el mipsr6 mipsr6el mips64r6 mips64r6el], lib64gcc-s1 [i386 mips mipsel mipsn32 mipsn32el mipsr6 mipsr6el mipsn32r6 mipsn32r6el powerpc sparc s390 x32], libc6-dev-mips64 [mips mipsel mipsn32 mipsn32el mipsr6 mipsr6el mipsn32r6 mipsn32r6el], libc6-dev-mipsn32 [mips mipsel mips64 mips64el mipsr6 mipsr6el mips64r6 mips64r6el], libc6-dev-mips32 [mipsn32 mipsn32el mips64 mips64el mipsn32r6 mipsn32r6el mips64r6 mips64r6el], libc6-dev-x32 [amd64 i386], libx32gcc-s1 [amd64 i386], libc6.1-dbg [alpha ia64] | libc0.3-dbg [hurd-amd64 hurd-i386] | libc6-dbg,
  linux-libc-dev [m68k],
  build-essential,
  m4, libtool, autoconf2.69,
  dwz, libunwind8-dev [ia64], libatomic-ops-dev [ia64],
  gawk, lzma, xz-utils, patchutils,
  libzstd-dev, zlib1g-dev, systemtap-sdt-dev [linux-any],
  binutils:native (>= 2.35), binutils-hppa64-linux-gnu:native (>= 2.35) [hppa amd64 i386 x32],
  gperf, bison, flex,
  gettext, nvptx-tools [amd64 arm64 ppc64el], amdgcn-tools [amd64],
  texinfo, locales-all, sharutils,
  procps, netbase, python3:any, cargo [!alpha !hppa !ia64 !m68k !sh4 !x32 !hurd-amd64 !hurd-i386],
  libisl-dev (>= 0.20), libmpc-dev (>= 1.0), libmpfr-dev (>= 3.0.0-9~), libgmp-dev (>= 2:5.0.1~), lib32z1-dev [amd64], lib64z1-dev [i386], unzip <!nocheck>,
  dejagnu  [!hurd-amd64 !hurd-i386] <!nocheck>, git  [!hurd-amd64 !hurd-i386] <!nocheck>, coreutils, chrpath, lsb-release, quilt, time,
  pkgconf, libgc-dev,
  g++-15-for-host <cross>, gobjc-15-for-host [!avr] <cross>, gfortran-15-for-host <cross>, gdc-15-for-host [!alpha !arc !ia64 !m68k !sh4 !s390 !sparc64 !hurd-amd64 !hurd-i386] <cross>, gccgo-15-for-host [!arc !avr !hppa !loong64 !m68k !sh4] <cross>, gnat-15-for-host [!arc !ia64 !sh3 !sh3eb !sh4eb !m68k] <cross>, gm2-15-for-host [!powerpc !ppc64 !sh4] <cross>, gcobol-15-for-host [!alpha !arc !hppa !loong64 !m68k !mips !mipsel !mips64 !mips64el !powerpc !ppc64 !s390x !sh4 !sparc !sparc64 !x32 !i386 !hurd-i386 !arm !armel !armhf !hurd-amd64 !hurd-i386] <cross>, ga68-15-for-host <cross>,
Build-Depends-Indep: doxygen <!nodoc>, graphviz <!nodoc>, ghostscript <!nodoc>, texlive-latex-base <!nodoc>, xsltproc <!nodoc>, libxml2-utils <!nodoc>, docbook-xsl-ns <!nodoc>,
Section: utils
Priority: optional
Maintainer: Symas Support <support@symas.com>
Standards-Version:4.5.0
Homepage: https://www.cobolworx.com

Package: symas-gcobol
Priority: important
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libc6-dev
Description: COBOL compiler front end for GCC
 This is the COBOL for GCC compiler, which compiles
 COBOL on platforms supported by the gcc compiler. It uses the
 gcc backend to generate optimized code.
