=== debian/rules ===
#!/usr/bin/make -f

PREFIX  ?= /opt/symas
ETCFIX  ?= $(PREFIX)/etc
LIBFIX ?= $(PREFIX)/lib
LIBEXECFIX ?= $(PREFIX)/libexec/gcobol
VARFIX  ?= /var/symas
MAJOR_VERSION ?= 15


# Ensure rpath is set correctly
export DEB_BUILD_MAINT_OPTIONS := hardening=+all optimize=-lto
export DEB_DFLAGS_MAINT_APPEND+=-Wl,-rpath,$(LIBFIX) -Wl,-rpath,$(LIBEXECFIX)
export DEB_CFLAGS_MAINT_APPEND+=-Wno-error=format-security
export DEB_CXXFLAGS_MAINT_APPEND+=-Wno-error=format-security

export V=1


%:
	dh $@
override_dh_update_autotools_config:

override_dh_autoreconf:

override_dh_auto_configure:
	autoreconf2.69 -f -i
	./configure \
	--enable-languages=c,c++,cobol          \
	--prefix=$(PREFIX)                      \
	--libdir=$(LIBFIX)                      \
	--libexecdir=$(LIBEXECFIX)              \
	--with-gcc-major-version-only           \
	--program-suffix=-$(MAJOR_VERSION)      \
	--enable-shared                         \
	--enable-linker-build-id                \
	--without-included-gettext              \
	--enable-threads=posix                  \
	--disable-bootstrap                     \
	--enable-clocale=gnu                    \
	--enable-libstdcxx-debug                \
	--enable-libstdcxx-time=yes             \
	--with-default-libstdcxx-abi=new        \
	--enable-gnu-unique-object              \
	--disable-vtable-verify                 \
	--enable-plugin                         \
	--with-system-zlib                      \
	--with-target-system-zlib=auto          \
	--disable-werror                        \
	--disable-cet                           \
	--disable-multilib                      \
	--without-cuda-driver                   \
	--enable-checking=release               \
	--build=$(DEB_BUILD_GNU_TYPE)           \
	--host=$(DEB_HOST_GNU_TYPE)             \
	--target=$(DEB_HOST_GNU_TYPE)           \
	--enable-default-pie                    \
	--with-tune=generic                     \
	--enable-link-mutex --without-isl       \
	--disable-lto 
	#--with-build-config=bootstrap-lto-lean 

override_dh_auto_build:
	dh_auto_build


override_dh_auto_install:
	rm -rf debian/tmp
	mkdir -p debian/tmp
	mkdir -p debian/tmp/$(PREFIX)/share/doc/gcobol
	dh_auto_install --destdir=debian/tmp

override_dh_auto_test:
	#dh_auto_test -- -j1
